Package ru.bitel.bgbilling.kernel.network.flow

# Class NetFlow9Array

java.lang.Object
ru.bitel.bgbilling.kernel.network.flow.FlowArray<NetFlow9Record>
ru.bitel.bgbilling.kernel.network.flow.NetFlow9Array

All Implemented Interfaces:
  `Netflow9Processor`

public class NetFlow9Array extends FlowArray<NetFlow9Record> implements Netflow9Processor
Разобранные flow пакета NetFlow версии 9. Формат: http://www.cisco.com/en/US/technologies/tk648/tk362/technologies_white_paper09186a00800a3db9.html http://www.iana.org/assignments/ipfix/ipfix.xhtml

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.flow.FlowArray

  `array, size`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetFlow9Array(int size)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final int`
  `next(ByteBuffer readBuffer, ConcurrentMap<Integer,NetFlow9Template> templates)`
  `static int`
  `next(ByteBuffer readBuffer, ConcurrentMap<Integer,NetFlow9Template> templates, Netflow9Processor processor)`
  `final boolean`
  `parsePacket(ByteBuffer readBuffer, long millis, ConcurrentMap<Integer,NetFlow9Template> templates)`
  Разбор NetFlow дайтаграммы.
  `void`
  `process(ByteBuffer readBuffer, int offset, long millis, NetFlow9Template template)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NetFlow9Array

    public NetFlow9Array(int size)

- ## Method Details

  - ### parsePacket

    public final boolean parsePacket(ByteBuffer readBuffer, long millis, ConcurrentMap<Integer,NetFlow9Template> templates)
    Разбор NetFlow дайтаграммы.
    Parameters:
      `readBuffer` - буфер чтения.

  - ### next

    public final int next(ByteBuffer readBuffer, ConcurrentMap<Integer,NetFlow9Template> templates) throws Exception
    Throws:
      `Exception`

  - ### process

    public void process(ByteBuffer readBuffer, int offset, long millis, NetFlow9Template template)
    Specified by:
      `process` in interface `Netflow9Processor`

  - ### next

    public static int next(ByteBuffer readBuffer, ConcurrentMap<Integer,NetFlow9Template> templates, Netflow9Processor processor) throws Exception
    Throws:
      `Exception`